## zowe › zos-files › upload › stdin-to-data-set

Upload the content of a stdin to a z/OS data set.

#### Usage

zowe zos-files upload stdin-to-data-set <dataSetName> [options]

#### Positional Arguments

- `dataSetName` (string)

  - The name of the data set to which you want to upload data

#### Options

- `--binary` | `-b` (boolean)

  - Data content in binary mode, which means that no data conversion is performed. The data transfer process returns each record as-is, without translation. No delimiters are added between records.

- `--migrated-recall` | `--mr` (string)

  - The method by which migrated data set is handled. By default, a migrated data set is recalled synchronously. You can specify the following values: wait, nowait, error

    Default value: nowait

- `--record` | `-r` (boolean)

  - Data content in record mode, which means that no data conversion is performed and the record length is prepended to the data. The data transfer process returns each line as-is, without translation. No delimiters are added between records. Conflicts with binary.

- `--volume-serial` | `--vs` (string)

  - The volume serial (VOLSER) where the data set resides. You can use this option at any time. However, the VOLSER is required only when the data set is not cataloged on the system. A VOLSER is analogous to a drive name on a PC.

- `--response-timeout` | `--rto` (number)

  - The maximum amount of time in seconds the z/OSMF Files TSO servlet should run before returning a response. Any request exceeding this amount of time will be terminated and return an error. Allowed values: 5 - 600

#### Zosmf Connection Options

- `--host` | `-H` (string)

  - The z/OSMF server host name.

- `--port` | `-P` (number)

  - The z/OSMF server port.

    Default value: 443

- `--user` | `-u` (string)

  - Mainframe (z/OSMF) user name, which can be the same as your TSO login.

- `--password` | `--pass` | `--pw` (string)

  - Mainframe (z/OSMF) password, which can be the same as your TSO password.

- `--reject-unauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--base-path` | `--bp` (string)

  - The base path for your API mediation layer instance. Specify this option to prepend the base path to all z/OSMF resources when making REST requests. Do not specify this option if you are not using an API mediation layer.

- `--protocol` (string)

  - The protocol used (HTTP or HTTPS)

    Default value: https
    Allowed values: http, https

- `--cert-file` (local file path)

  - The file path to a certificate file to use for authentication

- `--cert-key-file` (local file path)

  - The file path to a certificate key file to use for authentication

- `--completion-timeout` | `--cto` (number)

  - The amount in time, in seconds, a REST operation should wait to complete before timing out

- `--establish-connection-timeout` | `--ecto` (number)

  - The amount of time, in seconds, a REST operation should wait while connecting to the server before timing out

#### Profile Options

- `--zosmf-profile` | `--zosmf-p` (string)

  - The name of a (zosmf) profile to load for this command execution.

- `--base-profile` | `--base-p` (string)

  - The name of a (base) profile to load for this command execution.

#### Base Connection Options

- `--token-type` | `--tt` (string)

  - The type of token to get and use for the API. Omit this option to use the default token type, which is provided by 'zowe auth login'.

- `--token-value` | `--tv` (string)

  - The value of the token to pass to the API.

#### Examples

- Stream content from stdin to a sequential data set named "ibmuser.ps" from a Windows console:

  - `echo "hello world" | zowe zos-files upload stdin-to-data-set "ibmuser.ps"`

- Stream content from stdin to a partition data set member named "ibmuser.pds(mem)" from a Windows console:

  - `echo "hello world" | zowe zos-files upload stdin-to-data-set "ibmuser.pds(mem)"`

- Stream content from stdin to a migrated data set and wait for it to be recalled from a Windows console:

  - `echo "hello world" | zowe zos-files upload stdin-to-data-set "ibmuser.ps" --migrated-recall wait`